%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        K Desktop Environment - Educational Applications
Name:           kdeedu
Version:	4.5.4
Release:	1
BuildArch:	i686
Group:          Graphical Desktop/KDE4
License:        GPLv2
URL:            http://www.kde.org/
Source0:        kdeedu-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      i686
BuildRequires:  kde-filesystem >= 4
BuildRequires:  kdelibs-devel >= %{version}
BuildRequires:  cmake
BuildRequires:  python26-devel
BuildRequires:  python26-pyqt-devel
BuildRequires:	attica-devel
BuildRequires:	R-devel
BuildRequires:  libspectre-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  kdebindings-python
BuildRequires:  gcc-gfortran
BuildRequires:  zlib-devel
BuildRequires:  gmm++
BuildRequires:  ocaml
BuildRequires:  facile
BuildRequires:  cfitsio-devel
BuildRequires:  soprano-devel
# not actually a dependency - ccuxbuild bails out without it
BuildRequires:  kdepimlibs-devel
#####
# weird rpm dependency problem 
# fixes can`t install google-gadgets - nothing provides libsoup-2.4.so.1
# even if it exists
BuildRequires:  libsoup-devel

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires(post): xdg-utils
Requires(postun): xdg-utils
Obsoletes:	marble

#Automatically resolved build dependencies
BuildRequires: boost-devel
BuildRequires: bzip2-devel
BuildRequires: coreutils
BuildRequires: gamin-devel
BuildRequires: giflib-devel
BuildRequires: glibc-devel
BuildRequires: gpsd-devel
BuildRequires: gsl-devel
BuildRequires: indilib-devel
BuildRequires: kdebase-workspace-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libnova-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libusb-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libxml2-devel
BuildRequires: libXpm-devel
BuildRequires: libXrender-devel
BuildRequires: libxslt-devel
BuildRequires: libXtst-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: ncurses-devel
BuildRequires: openbabel-devel
BuildRequires: pcre-devel
BuildRequires: phonon-devel
BuildRequires: qt4-devel
BuildRequires: readline-devel
BuildRequires: strigi-devel
BuildRequires: zlib-devel automoc4 eigen2

%description
Educational/Edutainment applications for KDE4 :
* blinken: Simon Says Game
* kalzium: A periodic table of the elements
* kanagram: Anagram game
* kgeography: Learn geography
* khangman: Hangman Game
* kiten: Japanese Reference/Study Tool
* klettres: French alphabet tutor
* ktouch: Learn and practice touch typing
* kturtle: Logo Programming Environment
* kwordquiz: Flashcard and vocabulary learning
* marble: A World Atlas
* parley: Vocabulary Trainer
* step: Interactive physical simulator

%package devel
Group:    	Development/Libraries
Summary:  	Developer files for %{name}
Requires: 	kdelibs-devel
Provides:  	kdeedu4-devel = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} .. -DEXPERIMENTAL_PYTHON_BINDINGS=TRUE -DBUILD_marble=ON
popd


make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}

%post
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :


%files
%defattr(-,root,root,-)
%{_bindir}/
%{_datadir}/applications/
%{_datadir}/config/
%{_datadir}/config.kcfg/
%{_libdir}/
%{_datadir}/dbus-1/
%{_datadir}/icons/
%{_datadir}/kde4/
%{_datadir}/doc/
%{_mandir}/

%files devel
%defattr(-,root,root,-)
%{_includedir}

%changelog
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.4-1
- Version Update
* Thu Nov 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.3-1
- Version Update
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.2-1
- Version Update
* Wed Sep 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.1-1
- Version Update
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.0-1
- Version Update
* Wed Jul 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.95-1
- Version Update
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-1
- Version Update - experimental package branch - rc2
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.90-1
- Version Update - experimental package branch - rc1
* Wed Jun 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version Update
* Thu May 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-1
- Version Update
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-1
- Version Update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.1-1
- Version Update
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.0-1
- Version Update
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-1
- Version Update
* Fri Nov 20 2009 Christian Metzen <metzench@ccux-linux.de> 4.3.3-2
- python 2.6
* Wed Nov 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-1
- Version Update
* Wed Oct 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-1
- Version Update
* Thu Aug 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.0-1
- Version update
* Thu Jun 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4-1
- Version update
* Fri May 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.0-1
- Version update
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.96-1
- version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.85-1
- version update
* Fri Nov 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.80-1
- version update
* Wed Nov 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-1
- version update
* Fri Oct 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-2
- rebuilt against boost 1.36.0
* Fri Oct 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- version update
* Fri Aug 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.0-2
- rebuilt against boost 1.36.0
* Fri Aug 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.0-1
- Initial CCux package release
- based on old kde3 kdeedu and kde4 kdegraphics package
